org.apache.poi

## Class POIReadOnlyDocument

- java.lang.Object
- - org.apache.poi.POIDocument
  - - org.apache.poi.POIReadOnlyDocument

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Direct Known Subclasses:
    HDGFDiagram, HPBFDocument, MAPIMessage

      public abstract class POIReadOnlyDocument
      extends POIDocument

  This holds the common functionality for all read-only POI Document classes, i.e. ones which don't support writing.
  Since:
    POI 3.15 beta 3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `POIReadOnlyDocument(DirectoryNode dir)`
    `protected` | `POIReadOnlyDocument(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write()` Note - writing is not yet supported for this file format, sorry.
    `void` | `write(java.io.File file)` Note - writing is not yet supported for this file format, sorry.
    `void` | `write(java.io.OutputStream out)` Note - writing is not yet supported for this file format, sorry.

    - ### Methods inherited from class org.apache.poi.POIDocument

      `clearDirectory, close, createInformationProperties, getDirectory, getDocumentSummaryInformation, getEncryptedPropertyStreamName, getEncryptionInfo, getPropertySet, getPropertySet, getSummaryInformation, initDirectory, readProperties, replaceDirectory, validateInPlaceWritePossible, writeProperties, writeProperties, writeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POIReadOnlyDocument

          protected POIReadOnlyDocument(DirectoryNode dir)

    - #### POIReadOnlyDocument

          protected POIReadOnlyDocument(POIFSFileSystem fs)

  - ### Method Detail

    - #### write

          public void write()

      Note - writing is not yet supported for this file format, sorry.
      Specified by:
        `write` in class `POIDocument`
      Throws:
        `java.lang.IllegalStateException` - If you call the method, as writing is not supported

    - #### write

          public void write(java.io.File file)

      Note - writing is not yet supported for this file format, sorry.
      Specified by:
        `write` in class `POIDocument`
      Parameters:
        `file` - The new File to write to.
      Throws:
        `java.lang.IllegalStateException` - If you call the method, as writing is not supported

    - #### write

          public void write(java.io.OutputStream out)

      Note - writing is not yet supported for this file format, sorry.
      Specified by:
        `write` in class `POIDocument`
      Parameters:
        `out` - The stream to write to.
      Throws:
        `java.lang.IllegalStateException` - If you call the method, as writing is not supported

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.